- Home
- API Enriched
- Observability
- observability
- GET HTTP Monitor Detail.
GET HTTP Monitor Detail.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/observability/synthetic_monitor/namespaces/example/http-monitor-detail';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/observability/synthetic_monitor/namespaces/example/http-monitor-detail \ --header 'Authorization: <Authorization>'Returns the monitor latency, trend, and health by region.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace Request namespace.
Query Parameters
Section titled “Query Parameters”Monitor_name. X-required Monitor name.
Start_time. X-required Start time for requested monitor data.
End_time. End time for requested monitor data (default: current time)
Responses
Section titled “Responses”A successful response.
Monitor latency, trend, and health data by region.
object
List of latency, trend, and health data by region.
Latency, trend, and health data by region.
object
Average monitor latency in specified region, unit is ms.
Current health of monitor in specified region.
Current monitor latency in specified region, unit is ms.
Maximum monitor latency in specified region, unit is ms.
Region provider.
Region name.
Current trend of monitor in specified region.
Examplegenerated
{ "items": [ { "avg_latency": "example", "health": "example", "latency": "example", "max_latency": "example", "provider": "example", "region": "example", "trend": "example" } ]}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example